//------ Tile Counter Top
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//
#declare Tile1Texture =
texture {
  pigment { color Gray }
  finish { ambient 0.05 diffuse 0.3 phong 1 reflection { 0.25 } }
}	

#declare TT1 =
object { 
  union {
    cylinder { x, -x, 1 scale <25,  2, 2> translate y*-25 }
    cylinder { x, -x, 1 scale <25,  2, 2> translate y*25 }
    cylinder { y, -y, 1 scale < 2, 25, 2> translate x*25 }
    cylinder { y, -y, 1 scale < 2, 25, 2> translate x*-25 }
    sphere { 0, 2 translate <-25, -25, 0> }
    sphere { 0, 2 translate <-25,  25, 0> }
    sphere { 0, 2 translate < 25, -25, 0> }
    sphere { 0, 2 translate < 25,  25, 0> }
    triangle { <-25, -25, -2>, <-25, 25, -2>, <25, -25, -2> }
    triangle { <-25,  25, -2>, < 25, 25, -2>, <25, -25, -2> }
  }
  bounded_by { box { -1, 1 scale <28, 28, 4> } }
}

#declare Tile1 =
object { TT1 texture { Tile1Texture } rotate x*90 }

union {
  object { Tile1 }
  object { Tile1 translate x*-56 }
  object { Tile1 translate x*56 }
  object { Tile1 translate x*112 }
  object { Tile1 translate x*-112 }
  object { Tile1 translate x*168 }
  object { Tile1 translate x*-168 }
  object { Tile1 translate z*56 }
  object { Tile1 translate < -56, 0, 56> }
  object { Tile1 translate <  56, 0, 56> }
  object { Tile1 translate < 112, 0, 56> }
  object { Tile1 translate <-112, 0, 56> }
  object { Tile1 translate < 168, 0, 56> }
  object { Tile1 translate <-168, 0, 56> }
  object { Tile1 translate z*-56 }
  object { Tile1 translate < -56, 0, -56> }
  object { Tile1 translate <  56, 0, -56> }
  object { Tile1 translate < 112, 0, -56> }
  object { Tile1 translate <-112, 0, -56> }
  object { Tile1 translate < 168, 0, -56> }
  object { Tile1 translate <-168, 0, -56> }
  object { Tile1 translate z*-112 }
  object { Tile1 translate < -56, 0, -112> }
  object { Tile1 translate <  56, 0, -112> }
  object { Tile1 translate < 112, 0, -112> }
  object { Tile1 translate <-112, 0, -112> }
  object { Tile1 translate < 168, 0, -112> }
  object { Tile1 translate <-168, 0, -112> }
  object { Tile1 translate z*112 }
  object { Tile1 translate < -56, 0, 112> }
  object { Tile1 translate <  56, 0, 112> }
  object { Tile1 translate < 112, 0, 112> }
  object { Tile1 translate <-112, 0, 112> }
  object { Tile1 translate < 168, 0, 112> }
  object { Tile1 translate <-168, 0, 112> }
  object { Tile1 translate z*168 }
  object { Tile1 translate < -56, 0, 168> }
  object { Tile1 translate <  56, 0, 168> }
  object { Tile1 translate < 112, 0, 168> }
  object { Tile1 translate <-112, 0, 168> }
  object { Tile1 translate < 168, 0, 168> }
  object { Tile1 translate <-168, 0, 168> }
  object { Tile1 translate z*224 }
  object { Tile1 translate < -56, 0, 224> }
  object { Tile1 translate <  56, 0, 224> }
  object { Tile1 translate < 112, 0, 224> }
  object { Tile1 translate <-112, 0, 224> }
  object { Tile1 translate < 168, 0, 224> }
  object { Tile1 translate <-168, 0, 224> }
  object { Tile1 translate z*280 }
  object { Tile1 translate < -56, 0, 280> }
  object { Tile1 translate <  56, 0, 280> }
  object { Tile1 translate < 112, 0, 280> }
  object { Tile1 translate <-112, 0, 280> }
  object { Tile1 translate < 168, 0, 280> }
  object { Tile1 translate <-168, 0, 280> }
  object { Tile1 translate z*336 }
  object { Tile1 translate < -56, 0, 336> }
  object { Tile1 translate <  56, 0, 336> }
  object { Tile1 translate < 112, 0, 336> }
  object { Tile1 translate <-112, 0, 336> }
  object { Tile1 translate < 168, 0, 336> }
  object { Tile1 translate <-168, 0, 336> }
  translate <20, 0, 15>
}